Subject: Fwd: [Bug 75221] New: CONFIG_PROC_SYSCTL is required for networking

From: Daniel Borkmann <[email-masked]>
Date: Thu, 01 May 2014 13:38:25 +0200

-------- Original Message --------
Subject: [Bug 75221] New: CONFIG_PROC_SYSCTL is required for networking
Date: Thu, 01 May 2014 10:17:24 +0000
From: [email-masked]
To: [email-masked]

https://bugzilla.kernel.org/show_bug.cgi?id=75221

             Bug ID: 75221
            Summary: CONFIG_PROC_SYSCTL is required for networking
            Product: Networking
            Version: 2.5
     Kernel Version: 3.14.2
           Hardware: All
                 OS: Linux
               Tree: Mainline
             Status: NEW
           Severity: normal
           Priority: P1
          Component: Other
           Assignee: [email-masked]
           Reporter: [email-masked]
         Regression: No

I am in the proces of building an embedded kernel which I wanted to limit in
both functionality and memory. For this reason I disabled CONFIG_PROC_SYSCTL. I
have figured out the hard way that this functionality implements the successful
randomisation of source ports, it might be responsible for the initialisation
of net.ipv4.ip_local_port_range.

Effectively, booting a kernel with ip=dhcp works. Ping-pong (ICMP) to and from
an address works. DNS queries (UDP/53) don't because the source port remains 0,
a connection to a typical webserver also seems to result in a no reply
situation.

-- 
You are receiving this mail because:
You are watching the assignee of the bug.